## nvidia-cuda-toolkit 11.3.1

=== debian/changelog ===
nvidia-cuda-toolkit (11.3.1-4) unstable; urgency=medium

  [ Graham Inggs ]
  * Rearrange order of #includes to avoid FTBFS with glibc 2.34

  [ Andreas Beckmann ]
  * Use a snapshot of openjdk-8-jre (8u302-b08-1).
  * Bump Standards-Version to 4.6.0 (no changes needed).
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 23 Sep 2021 21:21:29 +0200

nvidia-cuda-toolkit (11.3.1-3) unstable; urgency=medium

  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 18 Aug 2021 02:02:32 +0200

nvidia-cuda-toolkit (11.3.1-2) experimental; urgency=medium

  * Merge changes from 11.2.2-3.
  * libnvrtc-builtins11.3: Split from libnvrtc11.2 due to SOVERSION
    divergence.
  * d/copyright: Synchronize with updated EULA.txt.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 26 Jul 2021 00:59:58 +0200

nvidia-cuda-toolkit (11.3.1-1) experimental; urgency=medium

  * New upstream release 11.3.1 (May 2021).
  * Use a snapshot of openjdk-8-jre (8u292-b10-1).

 -- Andreas Beckmann <anbe@debian.org>  Tue, 15 Jun 2021 08:48:11 +0200

nvidia-cuda-toolkit (11.3.0-1) experimental; urgency=medium

  * New upstream release 11.3.0 (April 2021).
  * SOVERSION bump, rename library packages:
    - libaccinj64-11.2 => libaccinj64-11.3
    - libcuinj64-11.2 => libcuinj64-11.3
    - libcupti11.2 => libcupti11.3
  * Update symbols control files.
  * Update Lintian overrides.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 21 May 2021 15:47:25 +0200

nvidia-cuda-toolkit (11.2.2-3) unstable; urgency=medium

  * Use a snapshot of openjdk-8-jre (8u292-b10-3).
  * Tighten library dependencies.
  * Add (tesla-)470 driver as alternate dependency.
  * Update watch file.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 24 Jul 2021 00:01:52 +0200

nvidia-cuda-toolkit (11.2.2-2) unstable; urgency=medium

  * Use a snapshot of openjdk-8-jre (8u292-b10-0+deb9u1) for amd64.
  * Add Build-Depends on libxdamage1 (no longer pulled in by MESA 21).

 -- Andreas Beckmann <anbe@debian.org>  Tue, 11 May 2021 22:12:21 +0200

nvidia-cuda-toolkit (9.2.148-7+deb10u1) buster; urgency=medium

  * [ppc64el]: Do not overwrite the customized nvcc.profile with the
    unmodified upstream copy from CUDA 9.2 Patch 1.  (Closes: #991592)

 -- Andreas Beckmann <anbe@debian.org>  Tue, 07 Sep 2021 16:02:46 +0200
