## nvidia-cuda-toolkit 11.4.3

=== debian/changelog ===
nvidia-cuda-toolkit (11.4.3-4) unstable; urgency=medium

  * Drop autopkgtest again, it may exceed ci-worker resources while unpacking
    the source package. An equivalent test has been added to src:pycuda.
  * Bump Standards-Version to 4.6.1 (no changes needed).
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 24 Jun 2022 10:01:45 +0200

nvidia-cuda-toolkit (11.4.3-3) unstable; urgency=medium

  * Switch back to gcc-10 as default host compiler, since some STL headers
    fail to compile with nvcc using g++ 11.2 (but not 11.1) as host compiler.
  * Add superficial autopkgtest checking the usability of the STL headers in
    host code compiled with nvcc (cf. #1006962).
  * nsight-compute: Move the 'sections' folder to a multiarch location.
    (Closes: #1009719)
  * Check usability of the java binary.  (Closes: #1008591)
  * Use a snapshot of openjdk-8-jre (8u332-ga-1).
  * nsight-systems: Drop unused libraries.
  * Use system libssh-4 (and therefore system openssl).  (Closes: #1011114)

 -- Andreas Beckmann <anbe@debian.org>  Mon, 23 May 2022 01:30:18 +0200

nvidia-cuda-toolkit (11.4.3-2) unstable; urgency=medium

  * Add (tesla-)510 driver as alternate dependency.
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 03 Feb 2022 00:02:32 +0100

nvidia-cuda-toolkit (11.4.3-1) unstable; urgency=medium

  * New upstream release 11.4.3 (November 2021).
  * d/copyright: Synchronize with updated EULA.txt.
  * Use a snapshot of openjdk-8-jre (8u312-b07-1).
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 10 Nov 2021 17:54:25 +0100

nvidia-cuda-toolkit (11.4.2-1) experimental; urgency=medium

  * New upstream release 11.4.2 (September 2021).
  * Add Build-Depends: libegl1, libwayland-*.
  * Add gcc-11 (default) as supported host compiler alternative.
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 09 Nov 2021 00:41:23 +0100

nvidia-cuda-toolkit (11.4.1-2) experimental; urgency=medium

  * d/copyright: Synchronize with updated EULA.txt.
  * cuda-gdb: Re-enable python support. Only dlopen the libpython3.X.so.1 we
    built against.
  * Set version for Nsight Compute to 2021.2.1.0, missing from version.json.
    (Closes: #995888)

 -- Andreas Beckmann <anbe@debian.org>  Fri, 05 Nov 2021 12:19:27 +0100

nvidia-cuda-toolkit (11.4.1-1) experimental; urgency=medium

  * New upstream release 11.4.1 (August 2021).
  * Refresh patches.
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 28 Sep 2021 13:46:13 +0200

nvidia-cuda-toolkit (11.4.0-1) experimental; urgency=medium

  * New upstream release 11.4.0 (June 2021).
  * SOVERSION bump, rename library packages:
    - libaccinj64-11.3 => libaccinj64-11.4
    - libcuinj64-11.3 => libcuinj64-11.4
    - libcupti11.3 => libcupti11.4
    - libnvrtc-builtins11.3 => libnvrtc-builtins11.4
  * Update symbols control files.
  * Refresh cuda-gdb patch and synchronize configure flags with gdb 10.1.
  * Ship new headers and static libraries.
  * Add Build-Depends: libxcb-*.
  * Update Lintian overrides.
  * Upload to experimental.
  * Work around non-monotonic libcusparse11 version.

 -- Andreas Beckmann <anbe@debian.org>  Thu, 02 Sep 2021 11:21:39 +0200

nvidia-cuda-toolkit (11.3.1-5) unstable; urgency=medium

  * cuda-gdb: Disable non-functional python support causing segmentation
    faults.  (Closes: #997031)
  * Do not ship a spurious CMakeLists.txt below /usr/include/cuda.
  * Record upstream versions to detect non-monotonic cases.
  * Semi-automatically update version-prefixes in non-monotonic cases.
  * Symlink cuda.h into the shim tree /usr/lib/cuda.  (Closes: #995122)
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 02 Nov 2021 18:01:18 +0100

nvidia-cuda-toolkit (11.2.2-3+deb11u3) bullseye; urgency=medium

  * Fix nvidia-openjdk-8-jre version ordering.
  * Drop autopkgtest again, it may exceed ci-worker resources while unpacking
    the source package. An equivalent test has been added to src:pycuda (sid).

 -- Andreas Beckmann <anbe@debian.org>  Sun, 19 Jun 2022 20:45:20 +0200

nvidia-cuda-toolkit (11.2.2-3+deb11u2) bullseye; urgency=medium

  * Use a snapshot of openjdk-8-jre (8u332-ga-1~deb9u1) for amd64.
  * Use a snapshot of openjdk-8-jre (8u302-b08-1) for ppc64el.
  * Check usability of the java binary.  (Closes: #1008591)
  * nsight-compute: Move the 'sections' folder to a multiarch location.
    (Closes: #1009719)
  * Upload to bullseye.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 20 May 2022 09:48:41 +0200

nvidia-cuda-toolkit (11.2.2-3+deb11u1) bullseye; urgency=medium

  * cuda-gdb: Disable non-functional python support causing segmentation
    faults.  (Closes: #997031)
  * Use a snapshot of openjdk-8-jre (8u312-b07-1).
  * Do not ship a spurious CMakeLists.txt below /usr/include/cuda.
  * Bump Standards-Version to 4.6.0 (no changes needed).
  * Update Lintian overrides.
  * Record upstream versions to detect non-monotonic cases.
  * Semi-automatically update version-prefixes in non-monotonic cases.
  * Add (tesla-)510 driver as alternate dependency.
  * Add superficial autopkgtest checking the usability of the STL headers in
    host code compiled with nvcc (cf. #1006962).
    Mark as flaky to avoid regressions.
  * Upload to bullseye.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 16 Mar 2022 08:28:35 +0100
