=== debian/control ===
--- 
+++ 
@@ -15,25 +15,40 @@
 # for cuda-gdb
  bison,
  flex,
- libbabeltrace-ctf-dev,
  libbabeltrace-dev,
+ libdebuginfod-dev,
  libexpat1-dev,
  libipt-dev [amd64],
  liblzma-dev,
+ libmpfr-dev,
  libncurses-dev,
  libreadline-dev,
+ libsource-highlight-dev,
+ libxxhash-dev,
+ pkg-config,
  python3-dev,
  texinfo,
  zlib1g-dev,
 # for nsight-compute/nsight-systems
  libasound2-dev [!arm64],
  libdbus-1-3 [amd64],
+ libegl1 [amd64],
  libfontconfig1 [amd64],
  libfreetype-dev [!arm64] | libfreetype6-dev [!arm64],
  libgl1 [amd64],
  libgssapi-krb5-2 [amd64],
  libnss3 [amd64],
- libssl1.1 [amd64],
+ libssh-4 [amd64],
+ libwayland-cursor0 [amd64],
+ libwayland-egl1 [amd64],
+ libwayland-server0 [amd64],
+ libxcb-icccm4 [amd64],
+ libxcb-image0 [amd64],
+ libxcb-keysyms1 [amd64],
+ libxcb-randr0 [amd64],
+ libxcb-render-util0 [amd64],
+ libxcb-shape0 [amd64],
+ libxcb-xinerama0 [amd64],
  libxcomposite1 [amd64],
  libxcursor1 [amd64],
  libxdamage1 [amd64],
@@ -50,7 +65,7 @@
  libpulse-dev [!arm64],
  libxrender-dev [!arm64],
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://developer.nvidia.com/cuda-zone
 Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-cuda-toolkit
 Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-cuda-toolkit.git
@@ -63,8 +78,8 @@
  ${nvidia-profiler:eq:Version} [${cuda:arch:has-nvidia-profiler}],
  nvidia-cuda-dev (= ${binary:Version}),
  nvidia-opencl-dev (= ${binary:Version}) | opencl-dev,
- g++-${cuda:gcc:DefaultVersion} | g++-10 | clang-11 | clang-10 | g++-9 | clang-9 | g++-8 | clang-8 | clang-7 | g++-7 | clang-6.0 | clang (<< 1:12~) | g++-6,
- gcc-${cuda:gcc:DefaultVersion} | gcc-10 | clang-11 | clang-10 | gcc-9 | clang-9 | gcc-8 | clang-8 | clang-7 | gcc-7 | clang-6.0 | clang (<< 1:12~) | gcc-6,
+ g++-${cuda:gcc:DefaultVersion} | g++-11 | g++-10 | clang-11 | clang-10 | g++-9 | clang-9 | g++-8 | clang-8 | clang-7 | g++-7 | clang-6.0 | clang (<< 1:12~) | g++-6,
+ gcc-${cuda:gcc:DefaultVersion} | gcc-11 | gcc-10 | clang-11 | clang-10 | gcc-9 | clang-9 | gcc-8 | clang-8 | clang-7 | gcc-7 | clang-6.0 | clang (<< 1:12~) | gcc-6,
  ${shlibs:Depends}, ${misc:Depends},
 Recommends:
  nvidia-cuda-toolkit-doc (= ${source:Version}),
@@ -202,6 +217,7 @@
  libjs-html5shiv,
  libjs-jquery,
  ${nsight-compute-target:eq:Version},
+ libssh-4 [amd64],
  ${shlibs:Depends}, ${misc:Depends}
 Homepage: https://developer.nvidia.com/nsight-compute
 Description: NVIDIA Nsight Compute
@@ -239,6 +255,7 @@
  libjs-sphinxdoc,
  libjs-underscore,
  ${nsight-systems-target:eq:Version},
+ libssh-4 [amd64],
  ${shlibs:Depends}, ${misc:Depends}
 Homepage: https://developer.nvidia.com/nsight-systems
 Description: NVIDIA Nsight Systems
@@ -346,17 +363,3 @@
  nvidia-cuda-dev (<< 10.1.168-4~),
 Homepage: https://developer.nvidia.com/nvidia-management-library-NVML
 Description: NVIDIA Management Library (NVML) development files
- The NVIDIA Management Library (NVML) provides a monitoring and management API.
- It provides a direct access to the queries and commands exposed via nvidia-smi.
- .
- This package contains the header file and depends on the driver-provided
- library.
-
-Package: libcudart11.0
-Architecture: amd64 ppc64el arm64
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends:
- ${package:libcuda1}
-Provides:
