=== debian/rules ===
--- 
+++ 
@@ -9,10 +9,11 @@
 CUDA_GDB_FLAGS	+= --with-gdb-datadir='$${prefix}/share/cuda-gdb'
 CUDA_GDB_FLAGS	+= --with-jit-reader-dir='$${libdir}/cuda-gdb'
 CUDA_GDB_FLAGS	+= --with-system-gdbinit='$${sysconfdir}/cuda-gdb/gdbinit'
+CUDA_GDB_FLAGS	+= --with-system-gdbinit-dir='$${sysconfdir}/cuda-gdb/gdbinit.d'
 CUDA_GDB_FLAGS	+= --enable-cuda
 CUDA_GDB_FLAGS	+= --enable-targets="$(DEB_HOST_GNU_TYPE),m68k-unknown-linux-gnu"
 CUDA_GDB_FLAGS	+= --disable-nls
-# the following flags were taken from gdb 8.2 in buster
+# the following flags were taken from gdb 10.1 in bullseye
 CUDA_GDB_FLAGS	+= --disable-gdbtk
 CUDA_GDB_FLAGS	+= --disable-shared
 CUDA_GDB_FLAGS	+= --disable-readline
@@ -20,6 +21,7 @@
 CUDA_GDB_FLAGS	+= --with-expat
 CUDA_GDB_FLAGS	+= --with-system-zlib
 CUDA_GDB_FLAGS	+= --without-guile
+CUDA_GDB_FLAGS	+= --with-debuginfod
 CUDA_GDB_FLAGS	+= --with-babeltrace
 ifneq (,$(filter $(DEB_HOST_ARCH),amd64))
 CUDA_GDB_FLAGS	+= --with-intel-pt
@@ -27,12 +29,14 @@
 CUDA_GDB_FLAGS	+= --enable-tui
 CUDA_GDB_FLAGS	+= --with-lzma
 CUDA_GDB_FLAGS	+= --with-python=python3
+CUDA_GDB_FLAGS	+= --with-xxhash
+CUDA_GDB_FLAGS	+= --with-mpfr
 CUDA_GDB_FLAGS	+= --enable-64-bit-bfd
 CUDA_GDB_FLAGS	+= --disable-sim
+CUDA_GDB_FLAGS	+= --enable-obsolete
 
 DEB_BUILD_MAINT_OPTIONS		 = hardening=+all
 DEB_CPPFLAGS_MAINT_APPEND	 = -I$(CURDIR)/nvidia-cuda-tree-$(DEB_HOST_ARCH)/cuda_cudart/include
-DEB_CFLAGS_MAINT_APPEND		 = -fcommon
 DEB_LDFLAGS_MAINT_APPEND	 = -pthread
 
 include /usr/share/dpkg/architecture.mk
@@ -45,6 +49,7 @@
 aval			 = $(or $($(strip $1).$(or $(strip $2),$(DEB_HOST_ARCH))),$($(strip $1).default),$(error Not defined: $(strip $1)($(or $(strip $2),$(DEB_HOST_ARCH)))))
 -include debian/rules.version
 include debian/rules.soversion
+include debian/rules.version_prefix
 include debian/rules.defs
 CUDA_ARCH_LIST			?= amd64
 CUDA_ARCH_LIST_NO_DRIVER	?=
@@ -99,7 +104,7 @@
 jre_depends.Ubuntu	?= openjdk-8-jre | $(jre_pkg_dep)
 
 ifneq (,$(jre_pkg))
-$(jre_pkg).DEB_VERSION	 = 9.+$(OPENJDK_VERSION)
+$(jre_pkg).VERSION	 = $(subst ~,~~,$(OPENJDK_VERSION))
 endif
 
 ifneq (,$(thrust_pkg))
@@ -119,6 +124,7 @@
 .PHONY: autogen prepare
 autogen: $(AUTOGEN)
 prepare: autogen unpack-stamp compare-copyright-license
+prepare: update-version-prefix
 
 
 # deep copy, files will get irreversibly modified via hardlinks in the build target
@@ -136,7 +142,7 @@
 	$(RM) nvidia-cuda
 	ln -sf nvidia-cuda-tree-$(DEB_HOST_ARCH) nvidia-cuda
 	$(RM) -r cuda-gdb-$(CUDA_GDB_VERSION) cuda-gdb
-ifneq (,$(filter-out arm64 ppc64el,$(DEB_HOST_ARCH)))
+ifneq (arm64,$(DEB_HOST_ARCH))
 	tar xf nvidia-cuda/cuda_gdb/extras/cuda-gdb-$(CUDA_GDB_VERSION).src.tar.gz
 else
 	tar xf amd64/cuda_gdb/extras/cuda-gdb-$(CUDA_GDB_VERSION).src.tar.gz
@@ -168,23 +174,18 @@
 	diff -w copyright.tmp EULA.tmp
 	rm -f copyright.tmp EULA.tmp
 
+dpkg-compare-versions = $(shell dpkg --compare-versions "$(1)" "$(2)" "$(3)" && echo "$(2)")
 
-.PHONY: binary binary-arch binary-indep build build-arch build-indep clean install
-binary binary-arch binary-indep build build-arch build-indep clean install:
-	dh $@
+# $1 = key, $2 = value, $3 = append_to_file
+define echokv
+	echo '$(shell printf "%-39s" $(1)) = $(2)'	>> $(3)
 
-build-stamp: unpack-stamp
-	$(RM) -r build
-	cp -al nvidia-cuda-tree-$(DEB_HOST_ARCH)/ build
-	test -d build/libcublas/src || cp -alv amd64/libcublas/src build/libcublas/
-	test -d build/libcusparse/src || cp -alv amd64/libcusparse/src build/libcusparse/
-	test -d build/cuda_cupti/extras/CUPTI/doc/Cupti || cp -alv amd64/cuda_cupti/extras/CUPTI/doc build/cuda_cupti/extras/CUPTI/
-	# fix permissions
-ifneq (,$(visual_profiler_pkg))
-	chmod -x build/cuda_nvvp/libnvvp/*.xpm
-endif
-	chmod -x build/cuda_nvcc/nvvm/libnvvm-samples/build.bat
-	# remove rpath
-	chrpath -d build/cuda_sanitizer_api/compute-sanitizer/libTreeLauncherTargetInjection.so
-	# remove tracking scripts
-	find build \( -name google-analytics-tracker.js -o -name google-analytics-write.js -o -name tynt.js \) -exec rm -v {} +
+endef
+
+define update-version-prefix
+	$(if $($(1).VERSION_PREFIX),$(if $(call dpkg-compare-versions,$($(1).VERSION_PREFIX),le,$(call get-upstream-version,$(1),1)),
+		: DROP PREFIX $(1) $($(1).VERSION_PREFIX) $(call get-upstream-version,$(1),1)
+		$(eval $(1).VERSION_PREFIX =)))
+	$(if $(call dpkg-compare-versions,$($(1).PREV_VERSION),le,$(call get-current-version,$(1))),,
+		$(if $(call get-upstream-version,$(1),),,$(error MISSING VERSION FOR $(1)))
+		: ADD PREFIX $(1) $($(1).PREV_VERSION) $(call get-current-version,$(1))
